recmutex.h(3)

NAME
recmutex.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/threads/common.h>

  Functions
cc_recmutex * cc_recmutex_construct (void)
void cc_recmutex_destruct (cc_recmutex *recmutex)
int cc_recmutex_lock (cc_recmutex *recmutex)
int cc_recmutex_unlock (cc_recmutex *recmutex)
int cc_recmutex_try_lock (cc_recmutex *recmutex)

Function Documentation

  cc_recmutex * cc_recmutex_construct (void)
Constructs a recursive mutex.

  void cc_recmutex_destruct (cc_recmutex * recmutex)
Destroys the recursive mutex recmutex.

  int cc_recmutex_lock (cc_recmutex * recmutex)
Locks the recursive mutex recmutex. Returns the nesting level.

  int cc_recmutex_unlock (cc_recmutex * recmutex)
Unlocks the recursive mutex recmutex. Returns the nesting level after unlocking.

  int cc_recmutex_try_lock (cc_recmutex * recmutex)
Attempts to lock the recursive mutex recmutex. Returns TRUE if thread got the lock or already had the lock.

Author

Generated automatically by Doxygen for Coin from the source code.